Subject: [AAA-WG]: Issue #260

From: Mark Eklund <[email-masked]>
Date: Mon, 28 Jan 2002 12:49:22 -0500 (EST)

As long as no one has objections, I plan to commit issue #260 to the
base.  The changes are the same as the issue listed in
http://www.drizzle.com/~aboba/AAA/issues.html#Issue #260.  The diffs
are listed below.

*** ../draft-ietf-aaa-diameter.txt	Mon Jan 28 13:53:20 2002
--- 260.txt	Mon Jan 28 13:53:57 2002
*************** 4.4  Derived AVP Data Formats
*** 1991,2007 ****
           addresses.
  
        Time
!          The Time format is derived from the Unsigned32 AVP Base Format.
!          This is 32 bit unsigned value containing the four most
!          significant octets returned from NTP [18], in network byte
!          order.
  
!          This represent the number of seconds since 0h on 1 January 1900
!          with respect to the Coordinated Universal Time (UTC).
  
           On 6h 28m 16s UTC, 7 February 2036 the time value will
!          overflow.  NTP [18] describes a procedure to extend the time to
!          2104.
  
        UTF8String
           The UTF8String format is derived from the OctetString AVP Base
--- 1991,2007 ----
           addresses.
  
        Time
!          The Time format is derived from the OctetString AVP Base
!          Format. The string MUST contain four octets, in the same format
!          as the four first bytes are in the NTP Timestamp Format. The
!          NTP Timestamp format is defined in Chapter 3 of reference [18].
  
!          This represents the number of seconds since 0h on 1 January
!          1900 with respect to the Coordinated Universal Time (UTC).
  
           On 6h 28m 16s UTC, 7 February 2036 the time value will
!          overflow. SNTP [18] describes a procedure to extend the time to
!          2104. This procedure MUST be used by all DIAMETER nodes.
  
        UTF8String
           The UTF8String format is derived from the OctetString AVP Base

-mark